Opened 4 years ago

Closed 3 years ago

#10415 closed enhancement (fixed)

Finish adding Fedora support for setup-dependencies.sh

Reported by: skottler Owned by: skottler
Priority: Medium Milestone:
Component: Archived/Ooni Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

There's brief reference to Fedora in a case statement at the top of the file, but it's not fully implemented. I'm a Fedora user/developer and would like to develop ooni on my regular machine so I'll work on adding support.

Child Tickets

Attachments (3)

10415_ooni_setup_fedora.patch (4.0 KB) - added by skottler 4 years ago.
10415_ooni_setup_fedora.2.patch (3.8 KB) - added by wb 4 years ago.
updated fedora patch
10415_ooni_setup_fedora.3.patch (4.3 KB) - added by wb 4 years ago.

Download all attachments as: .zip

Change History (8)

Changed 4 years ago by skottler

comment:1 Changed 4 years ago by skottler

Status: newneeds_revision

comment:2 Changed 4 years ago by skottler

Status: needs_revisionneeds_review

Changed 4 years ago by wb

updated fedora patch

comment:3 Changed 4 years ago by wb

after changes in c427b766 the patch would no longer apply (fixed in 10415_ooni_setup_fedora.2.patch)

Changed 4 years ago by wb

comment:4 Changed 4 years ago by wb

Minor changes in the setup script (when running on fedora): install pip, gpg, and openssl headers.

comment:5 Changed 3 years ago by anadahz

Resolution: fixed
Status: needs_reviewclosed

Fedora support for ooniprobe installation has been added | here.

Note: See TracTickets for help on using tickets.